%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:       nodejs-btoa
Version:    1.1.2
Release:    1%{?dist}
Summary:    It turns binary data to base64-encoded ascii
License:    ASL 2.0 and CC0
URL:        https://github.com/node-browser-compat/btoa
Source:     https://github.com/node-browser-compat/btoa/archive/v%{version}.tar.gz

BuildArch:  noarch



%description
It turns binary data to base64-encoded ascii

%prep
%setup -q -n btoa-%{version}


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-btoa
cp -rp index.js package.json bin/ %{buildroot}%{nodejs_sitelib}/nodejs-btoa

%check
%if 0%{?enable_tests}
node test.js
%endif

%files
%doc LICENSE LICENSE.DOCS README.md test.js
%{nodejs_sitelib}/nodejs-btoa


%changelog
* Thu Feb 5 2015 Anish Patil <apatil@redhat.com> - 1.1.2-1
- initial package
